diff mupdf-source/thirdparty/leptonica/autogen.sh @ 3:2c135c81b16c

MERGE: upstream PyMuPDF 1.26.4 with MuPDF 1.26.7
author Franz Glasner <fzglas.hg@dom66.de>
date Mon, 15 Sep 2025 11:44:09 +0200
parents b50eed0cc0ef
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/mupdf-source/thirdparty/leptonica/autogen.sh	Mon Sep 15 11:44:09 2025 +0200
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+#  autogen.sh
+
+libtoolize -c -f 2>/dev/null || glibtoolize -c -f
+aclocal
+autoheader -f
+autoconf
+if grep -q PKG_CHECK_MODULES configure; then
+  # The generated configure is invalid because pkg-config is unavailable.
+  rm configure
+  echo "Error, missing pkg-config. Check the build requirements."
+  exit 1
+fi
+automake -a -c -f